Package com.ocient.jdbc.proto

# Class ClientWireProtocol.Authenticator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.Authenticator.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.Authenticator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.AuthenticatorOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.Authenticator`

public static final class ClientWireProtocol.Authenticator.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder> implements ClientWireProtocol.AuthenticatorOrBuilder

     Contains the minimal subset of info the client needs to
     perform any prerequisite authentication challenge(s).

     NOTE: This is returned by the public facing API so be sure
     not to include any sensitive data

Protobuf type `xg.cmdcomp.Authenticator`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.Authenticator`
`build()`
`ClientWireProtocol.Authenticator`
`buildPartial()`
`ClientWireProtocol.Authenticator.Builder`
`clear()`
`ClientWireProtocol.Authenticator.Builder`
`clearOpenidauthenticator()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.Authenticator.Builder`
`clearResponseOneof()`
`ClientWireProtocol.Authenticator`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`ClientWireProtocol.OpenIDAuthenticator`
`getOpenidauthenticator()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`getOpenidauthenticatorBuilder()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
`getOpenidauthenticatorOrBuilder()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.Authenticator.ResponseOneofCase`
`getResponseOneofCase()`
`boolean`
`hasOpenidauthenticator()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.Authenticator.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.Authenticator.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.Authenticator.Builder`
`mergeFrom(ClientWireProtocol.Authenticator other)`
`ClientWireProtocol.Authenticator.Builder`
`mergeOpenidauthenticator(ClientWireProtocol.OpenIDAuthenticator value)`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`final ClientWireProtocol.Authenticator.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.Authenticator.Builder`
`setOpenidauthenticator(ClientWireProtocol.OpenIDAuthenticator value)`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.Authenticator.Builder`
`setOpenidauthenticator(ClientWireProtocol.OpenIDAuthenticator.Builder builderForValue)`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`final ClientWireProtocol.Authenticator.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>`

### clear

public ClientWireProtocol.Authenticator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.Authenticator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.Authenticator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.Authenticator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.Authenticator.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.Authenticator.Builder>`

### mergeFrom

public ClientWireProtocol.Authenticator.Builder mergeFrom(ClientWireProtocol.Authenticator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>`

### mergeFrom

public ClientWireProtocol.Authenticator.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.Authenticator.Builder>`
Throws:
  `IOException`

### getResponseOneofCase

public ClientWireProtocol.Authenticator.ResponseOneofCase getResponseOneofCase()

Specified by:
  `getResponseOneofCase` in interface `ClientWireProtocol.AuthenticatorOrBuilder`

### clearResponseOneof

public ClientWireProtocol.Authenticator.Builder clearResponseOneof()

### hasOpenidauthenticator

public boolean hasOpenidauthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

Specified by:
  `hasOpenidauthenticator` in interface `ClientWireProtocol.AuthenticatorOrBuilder`
Returns:
  Whether the openidauthenticator field is set.

### getOpenidauthenticator

public ClientWireProtocol.OpenIDAuthenticator getOpenidauthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

Specified by:
  `getOpenidauthenticator` in interface `ClientWireProtocol.AuthenticatorOrBuilder`
Returns:
  The openidauthenticator.

### setOpenidauthenticator

public ClientWireProtocol.Authenticator.Builder setOpenidauthenticator(ClientWireProtocol.OpenIDAuthenticator value)
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### setOpenidauthenticator

public ClientWireProtocol.Authenticator.Builder setOpenidauthenticator(ClientWireProtocol.OpenIDAuthenticator.Builder builderForValue)
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### mergeOpenidauthenticator

public ClientWireProtocol.Authenticator.Builder mergeOpenidauthenticator(ClientWireProtocol.OpenIDAuthenticator value)
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### clearOpenidauthenticator

public ClientWireProtocol.Authenticator.Builder clearOpenidauthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### getOpenidauthenticatorBuilder

public ClientWireProtocol.OpenIDAuthenticator.Builder getOpenidauthenticatorBuilder()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### getOpenidauthenticatorOrBuilder

public ClientWireProtocol.OpenIDAuthenticatorOrBuilder getOpenidauthenticatorOrBuilder()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

Specified by:
  `getOpenidauthenticatorOrBuilder` in interface `ClientWireProtocol.AuthenticatorOrBuilder`

### setUnknownFields

public final ClientWireProtocol.Authenticator.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.Authenticator.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Authenticator.Builder>`